import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const updatePoultryRequestsTotalQuantityService = createAsyncThunk(
  "UPDATE_POULTRY_REQUESTS_TOTAL_QUANTITY",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put(
      "total_poultry_request_quantity/0/",
      d
    );
    dispatch(LOADING_END());

    return { data, status };
  }
);
